
TextCritical.net - Feature #2730

Feature # 2657 (Closed): Search View

Render highlighted terms

05/12/2020 04:50 PM - Luke Murphey

Status: Closed Start date: 05/12/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.0   

Description

History

#1 - 05/13/2020 10:58 PM - Luke Murphey

- Status changed from New to In Progress

#2 - 05/14/2020 01:06 AM - Luke Murphey

The highlights are in the results under the highlights field.

src/reader/views.py

src/reader/contentsearch.py::search_verses()

results passed to VerseSearchResults

get_highlights()

It appears that it may be returning result highlighted in HTML already:

https://whoosh.readthedocs.io/en/latest/api/highlight.html

I might be able to avoid setting innerHTML manually using https://github.com/wrakky/react-html-parser

#3 - 05/14/2020 01:30 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
